org.eclipse.emf.cdo.explorer

## Interface CDOExplorerElement

- All Superinterfaces:
    Adapter, java.lang.Comparable<CDOExplorerElement>, IAdaptable, INotifier
  All Known Subinterfaces:
    CDOCheckout, CDORepository

      public interface CDOExplorerElement
      extends INotifier, IAdaptable, Adapter, java.lang.Comparable<CDOExplorerElement>

  A CDO server independent representation of a repository.
  Since:
    4.4
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

      `Adapter.Internal`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete(boolean deleteContents)`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getID()`
    `java.lang.String` | `getLabel()`
    `java.io.File` | `getStateFolder(java.lang.String path)`
    `java.lang.String` | `getType()`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setLabel(java.lang.String label)`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Adapter

      `getTarget, isAdapterForType, notifyChanged, setTarget`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### getID

          java.lang.String getID()

    - #### getType

          java.lang.String getType()

    - #### getLabel

          java.lang.String getLabel()

    - #### setLabel

          void setLabel(java.lang.String label)

    - #### getDescription

          java.lang.String getDescription()

    - #### setDescription

          void setDescription(java.lang.String description)

    - #### getStateFolder

          java.io.File getStateFolder(java.lang.String path)

      Since:
        4.5

    - #### delete

          void delete(boolean deleteContents)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html